OFFLOAD-BUILD(1)

NAME
offload-build - Build a PKGBUILD on a remote server using makechrootpkg

SYNOPSIS

offload-build [OPTIONS] — [ARCHBUILD_OPTIONS]

DESCRIPTION

Build a PKGBUILD on a remote server using makechrootpkg. Requires a remote user that can run archbuild in a non-interactive manner, e.g. must be able to elevate permissions using passwordless sudo.

OPTIONS

-r, --repo <reponame>
    Build against a specific repository. The default is extra, to build packages using the stable repositories via extra-x86_64-build.

-a, --arch <architecture>
    Build against a specific architecture. The default is x86_64, the only architecture officially supported by Arch Linux.

-s, --server <hostname>
    Offload to a specific build server. The default is dragon.archlinux.org which is used as part of the build toolchain for the official Arch Linux repos.

-h, --help
    Show a help text.

PASSING OPTIONS TO ARCHBUILD

Options after a delimiting — are passed on to archbuild on the remote. archbuild in turn supports passing arguments on to makechrootpkg, which in turn supports passing options to makepkg. Since each uses — to delimit options that are forwarded, make sure to escape them properly:

    `offload-build offload-args -- archbuild-args -- makechrootpkg-args -- makepkg-args`

Example: To use a second testing-x86_64-build instance with another copydir:

    `offload-build -r testing -- -- -l <chroot_copy>`

BUGS

Bugs can be reported on the bug tracker https://bugs.archlinux.org in the Arch Linux category and title prefixed with [devtools] or via arch-projects@archlinux.org.

AUTHORS

Maintainers:

    • Aaron Griffin <aaronmgriffin@gmail.com>

    • Allan McRae <allan@archlinux.org>

    • Bartłomiej Piotrowski <bpiotrowski@archlinux.org>

    • Dan McGee <dan@archlinux.org>

    • Dave Reisner <dreisner@archlinux.org>

    • Evangelos Foutras <evangelos@foutrelis.com>

    • Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>

    • Jelle van der Waa <jelle@archlinux.org>

    • Levente Polyak <anthraxx@archlinux.org>

    • Pierre Schmitz <pierre@archlinux.de>

    • Sébastien Luttringer <seblu@seblu.net>

    • Sven-Hendrik Haase <svenstaro@gmail.com>

    • Thomas Bächler <thomas@archlinux.org>

For additional contributors, use git shortlog -s on the devtools.git repository.